Firefly开源社区

Android 7.1 Industry无法同步

36

积分

0

威望

0

贡献

技术小白

积分
36
发表于 2021-5-8 10:39:38     
按照Wiki中编译7.1固件步骤,执行完解压命令(7z x rk3399-industry-nougat-bundle.7z  -r -o. && mv rk3399-industry-nougat-bundle/ .bundle/)后再执行.bundle/update,无法同步,请看如下log:

kevin@kevin-virtual-machine:~/croj/fireflyDžзȇ-99-Industy$ ls

abi         bionic          build   Ńʼn         copatiblty  develoes  dcs      faewok  kernel           Makefile    ot       plaform_tesig rkMt     sytm     u-boot
Android.b  booale        buildrk3399-all.sh  cts            devϵ⩗џpment  ectera  hardware    lbcore          mkimae.sh  pakgs pmebuilts         RKTols  toolchin vndor
ar         bootsrap.bsh bildspec.mk         dalvik         device       FFTool   jaFaenv.h  libnativehelper  ndk        pk      rbn             sds      ttols
kevin@kevin-virtual-machine:~/proj/firefly-rk3399-Industry$ cd sdk
kevin@kevin-virtual-machine:~/proj/firefly-rk3399-Industry/sdk$ ls
annotations  attribute_stats  build         CleanSpec.mk  eclipse        files       find_lock        README.txt                        sdklauncher  testapps
apkbuilder   avdlauncher      build.gradle  docs          emulator       find_java   hierarchyviewer  release.md                        settings
apps         bash_completion  changes.txt   dumpeventlog  eventanalyzer  find_java2  icons            rk3399-industry-nougat-bundle.7z  templates
kevin@kevin-virtual-machine:~/proj/firefly-rk3399-Industry/sdk$ .bundle/update
[Info]Update Bundle repo...
From https://gitlab.com/TeeFirefly/rk3399-industry-nougat-bundle
* branch            master     -> FETCH_HEAD
-------------------------------------------
[Info]Update to FETCH_HEAD:
fatal: '.bundle/1.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/1.bundle error!!
fatal: '.bundle/2.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/2.bundle error!!
fatal: '.bundle/3.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/3.bundle error!!
fatal: '.bundle/4.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/4.bundle error!!
fatal: '.bundle/5.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/5.bundle error!!
fatal: '.bundle/6.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/6.bundle error!!
fatal: '.bundle/7.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/7.bundle error!!
fatal: '.bundle/8.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/8.bundle error!!
fatal: '.bundle/9.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/9.bundle error!!
fatal: '.bundle/10.bundle' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
[ERROR]Fetch .bundle/10.bundle error!!
kevin@kevin-virtual-machine:~/proj/firefly-rk3399-Industry/sdk$

回复

使用道具 举报

2970

积分

17

威望

18

贡献

高级创客

Rank: 6Rank: 6

积分
2970
QQ
发表于 2021-5-8 10:47:34     
.bundle 放置的路径不对,要放在firefly-rk3399-Industry目录下,然后执行同步命令,而不是放在firefly-rk3399-Industry/sdk 目录下
回复

使用道具 举报

36

积分

0

威望

0

贡献

技术小白

积分
36
发表于 2021-5-8 11:06:19     
jpchen 发表于 2021-5-8 10:47
.bundle 放置的路径不对,要放在firefly-rk3399-Industry目录下,然后执行同步命令,而不是放在firefly-rk3 ...

感谢,确实是要放到firefly-rk3399-Industry下,Wiki里面的记录(3. 若下载仓库失败,目前bundle仓库大约1.4G左右,所以同步的时候可能会出现卡住或失败的问题,可以从下方百度云链接下载并解压到SDK根目录,解压指令如下:

7z x rk3399-industry-nougat-bundle.7z  -r -o. && mv rk3399-industry-nougat-bundle/ .bundle/)有误
回复

使用道具 举报

2970

积分

17

威望

18

贡献

高级创客

Rank: 6Rank: 6

积分
2970
QQ
发表于 2021-5-8 11:11:07     
13798309856 发表于 2021-5-8 11:06
感谢,确实是要放到firefly-rk3399-Industry下,Wiki里面的记录(3. 若下载仓库失败,目前bundle仓库大约 ...

"SDK 根目录"这个有点歧义,是有可能会导致误解
回复

使用道具 举报

*滑块验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表